Bug 1107 - n800: no memory card inserted
: n800: no memory card inserted
Status: RESOLVED FIXED
Product: Core
Kernel
: unspecified
: All All
: Medium critical (vote)
: 4.0
Assigned To: unassigned
: linux-kernel-bugs
: http://www.internettablettalk.com/for...
:
:
:
  Show dependency tree
 
Reported: 2007-02-28 18:02 UTC by MB
Modified: 2008-12-06 16:13 UTC (History)
3 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description MB (reporter) 2007-02-28 18:02:57 UTC
For some days now the External slot stopped to be recognized by the N800.
The card used for it work (both on my PC & in the internal slot), but won't be recognized when plugged in 
the external slot of the n800. I always have the "No memory card inserted". 
(I tried several cards: 1Go SD, 1Go MMC, 128Mo MiniSD... all formated in FAT or FAT32... none of them are 
"recognized")

I did not misused the n800, just played some MP3 and browsed the web, it stopped working without 
notice.
Comment 1 Jake Kunnari 2007-03-13 12:46:18 UTC
Hi, Could you provide some more info to us. Did it stop suddenly or after some 
actions? Size of the memory card, manufacturer. What modifications you have 
done to your device. Thank you.
Comment 2 MB (reporter) 2007-03-13 13:00:08 UTC
I explained everything on my Blog: 
http://www.maxartonline.com/blog/2007/03/04/review-n800/

"I have a major concern, the external SD Slot has stopped working some days ago on my device, 
without any notice. I tried a lot of things: change/test cards, flash firmware, flash the kernel to support 
SDHC cards
Comment 3 Neil MacLeod maemo.org 2007-03-13 18:15:04 UTC
(In reply to comment #2)

Just a suggestion - try the updated N800 SDHC kernel available from here:

http://intr.overt.org/blog/?p=49

It includes a change to the card voltage detection... if it works with the
modified kernel, it's definately a firmware problem and not a hardware problem.
Though really you shouldn't have a problem with the in-pack Nokia card even when
using the stock kernel.

I've been using this kernel with SDHC cards for the last couple of days without
any issues.
Comment 4 Eero Tamminen nokia 2007-08-16 18:30:42 UTC
With which softare release this was (please set the "Version" field)?

Btw. There's another bug 1664 where internal slot doesn't recognize the card.
Comment 5 Kimmo Hämäläinen nokia 2007-09-20 09:58:32 UTC
If the Nokia memory card does not work, I would suspect a HW bug. Does it work
in the internal slot?
Comment 6 Kimmo Hämäläinen nokia 2007-09-25 09:46:40 UTC
kernel
Comment 7 Eero Tamminen nokia 2007-12-04 12:52:52 UTC
Please test this with either the MMC fix release (you should anyway update
as you're using >= 1GB cards) or Chinook (Beta).  Besides fixing the power 
management issue when the device went to sleep (which could cause internal
MMC corruption with some cards), it had some fixes for the MMC detection.

If there are no comments within few weeks about being able to reproduce this
with newer releases, it's assumed that (similarly to bug 1664) this bug was
fixed along with the fix to bug 1204.
Comment 8 Quim Gil nokia 2007-12-11 06:50:12 UTC
Last message from  the reporter goes back on March and we have done majior
fixes around the type of issue reported. Resolving, please reopen if you still
have an issue.
Comment 9 Eero Tamminen nokia 2007-12-11 10:07:43 UTC
Should be checked with Chinook...